aboutsummaryrefslogtreecommitdiffstats
path: root/www/seamonkey/pkg-deinstall.in
diff options
context:
space:
mode:
authorahze <ahze@FreeBSD.org>2005-11-30 08:44:58 +0800
committerahze <ahze@FreeBSD.org>2005-11-30 08:44:58 +0800
commitffd91b8d7915efb1198d02bcaebe8981ce7b912d (patch)
treed842be4458444e07e73a41ac593171625e68702e /www/seamonkey/pkg-deinstall.in
parent595aeb71ef5d724ddff0592a75c2bde4b023c8da (diff)
downloadfreebsd-ports-graphics-ffd91b8d7915efb1198d02bcaebe8981ce7b912d.tar.gz
freebsd-ports-graphics-ffd91b8d7915efb1198d02bcaebe8981ce7b912d.tar.zst
freebsd-ports-graphics-ffd91b8d7915efb1198d02bcaebe8981ce7b912d.zip
- Add seamonkey
This is the current release of the Seamonkey open source web browser. It should be fully compliant with all W3C standards, including HTML, CSS, XML, XSL, JavaScript, MathML, SSL encryption, SVG and RDF. Also supports Java with the use of the FreeBSD native Java plug-in. This is the latest bleeding edge release. Beware that you'll probably find bugs here, so if you value stability, try www/mozilla. WWW: http://www.mozilla.org/projects/seamonkey/ Repocopied by: marcus
Diffstat (limited to 'www/seamonkey/pkg-deinstall.in')
-rw-r--r--www/seamonkey/pkg-deinstall.in23
1 files changed, 23 insertions, 0 deletions
diff --git a/www/seamonkey/pkg-deinstall.in b/www/seamonkey/pkg-deinstall.in
new file mode 100644
index 00000000000..cea8b574be7
--- /dev/null
+++ b/www/seamonkey/pkg-deinstall.in
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# $FreeBSD$
+# $MCom: ports/www/seamonkey/pkg-deinstall.in,v 1.9 2005/11/11 04:11:02 ahze Exp $
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xDEINSTALL" ] && exit 0
+
+MOZDIR=%%MOZDIR%%
+
+rm -rf ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/chrome/*.rdf
+rm -f ${MOZDIR}/component.reg
+rm -f ${MOZDIR}/components/*.dat
+
+exit 0